<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>MSS Memory Capture Application for XWR16xx</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">MSS Memory Capture Application for XWR16xx</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mem_capture___cfg__t.html">MemCapture_Cfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Memory Capture Configuration.  <a href="struct_mem_capture___cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mem_capture___stats__t.html">MemCapture_Stats_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Memory Capture statistics.  <a href="struct_mem_capture___stats__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mem_capture___m_c_b__t.html">MemCapture_MCB_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stream Demo Master Control Block.  <a href="struct_mem_capture___m_c_b__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:gaf84fefb0fb6d47fbd3ed5078c836ad32"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gaf84fefb0fb6d47fbd3ed5078c836ad32"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_s_s___x_w_r16___c_a_p_t_u_r_e___a_p_p.html#gaf84fefb0fb6d47fbd3ed5078c836ad32">MSS_APP_MMWAVE_CTRL_TASK_PRIORITY</a>&#160;&#160;&#160;5U</td></tr>
<tr class="memdesc:gaf84fefb0fb6d47fbd3ed5078c836ad32"><td class="mdescLeft">&#160;</td><td class="mdescRight">Task Priority for the mmWave control module: <br /></td></tr>
<tr class="separator:gaf84fefb0fb6d47fbd3ed5078c836ad32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8fa2adf1ccef136a179dd258e3b9c808"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga8fa2adf1ccef136a179dd258e3b9c808"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_s_s___x_w_r16___c_a_p_t_u_r_e___a_p_p.html#ga8fa2adf1ccef136a179dd258e3b9c808">MSS_APP_TEST_FRAMEWORK_TASK_PRIORITY</a>&#160;&#160;&#160;(<a class="el" href="group___m_s_s___x_w_r16___c_a_p_t_u_r_e___a_p_p.html#gaf84fefb0fb6d47fbd3ed5078c836ad32">MSS_APP_MMWAVE_CTRL_TASK_PRIORITY</a> - 1U)</td></tr>
<tr class="memdesc:ga8fa2adf1ccef136a179dd258e3b9c808"><td class="mdescLeft">&#160;</td><td class="mdescRight">Task Priority for the Test Framework module: This should always have a lower priority in the system than the control task priority. <br /></td></tr>
<tr class="separator:ga8fa2adf1ccef136a179dd258e3b9c808"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:gafc53fc463ffc5dbab28535a0912d978e"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_mem_capture___cfg__t.html">MemCapture_Cfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_s_s___x_w_r16___c_a_p_t_u_r_e___a_p_p.html#gafc53fc463ffc5dbab28535a0912d978e">MemCapture_Cfg</a></td></tr>
<tr class="memdesc:gafc53fc463ffc5dbab28535a0912d978e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Memory Capture Configuration.  <a href="#gafc53fc463ffc5dbab28535a0912d978e">More...</a><br /></td></tr>
<tr class="separator:gafc53fc463ffc5dbab28535a0912d978e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6724d72285c98bb631865bb4a47f6c07"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_mem_capture___stats__t.html">MemCapture_Stats_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_s_s___x_w_r16___c_a_p_t_u_r_e___a_p_p.html#ga6724d72285c98bb631865bb4a47f6c07">MemCapture_Stats</a></td></tr>
<tr class="memdesc:ga6724d72285c98bb631865bb4a47f6c07"><td class="mdescLeft">&#160;</td><td class="mdescRight">Memory Capture statistics.  <a href="#ga6724d72285c98bb631865bb4a47f6c07">More...</a><br /></td></tr>
<tr class="separator:ga6724d72285c98bb631865bb4a47f6c07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga19e461cef933f4fe4b6dcf9e14d77e69"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_mem_capture___m_c_b__t.html">MemCapture_MCB_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_s_s___x_w_r16___c_a_p_t_u_r_e___a_p_p.html#ga19e461cef933f4fe4b6dcf9e14d77e69">MemCapture_MCB</a></td></tr>
<tr class="memdesc:ga19e461cef933f4fe4b6dcf9e14d77e69"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stream Demo Master Control Block.  <a href="#ga19e461cef933f4fe4b6dcf9e14d77e69">More...</a><br /></td></tr>
<tr class="separator:ga19e461cef933f4fe4b6dcf9e14d77e69"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga2789252b1b1f357c6c784d951585afeb"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_s_s___x_w_r16___c_a_p_t_u_r_e___a_p_p.html#ga2789252b1b1f357c6c784d951585afeb">MemCapture_eventCallbackFxn</a> (uint16_t msgId, uint16_t sbId, uint16_t sbLen, uint8_t *payload)</td></tr>
<tr class="separator:ga2789252b1b1f357c6c784d951585afeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3e34b1dd54dfe6710a4cc5d836065f27"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_s_s___x_w_r16___c_a_p_t_u_r_e___a_p_p.html#ga3e34b1dd54dfe6710a4cc5d836065f27">MemoryCapture_reportFxn</a> (<a class="el" href="group___t_e_s_t___f_r_a_m_e_w_o_r_k___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabfd1782c2d3ec3ec6cf8d5e096c4b39d">TestFmk_Report</a> reportType, int32_t errCode, uint32_t arg0, uint32_t arg1)</td></tr>
<tr class="separator:ga3e34b1dd54dfe6710a4cc5d836065f27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3aeb98ccb777c7d4743aac13ab99984f"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_s_s___x_w_r16___c_a_p_t_u_r_e___a_p_p.html#ga3aeb98ccb777c7d4743aac13ab99984f">MemCapture_initLinkProfileCfgParams</a> (rlProfileCfg_t *ptrProfileCfg)</td></tr>
<tr class="separator:ga3aeb98ccb777c7d4743aac13ab99984f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7bf5da0a745c34ce2035a23bcf4bb7e5"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_s_s___x_w_r16___c_a_p_t_u_r_e___a_p_p.html#ga7bf5da0a745c34ce2035a23bcf4bb7e5">MemCapture_initLinkChirpCfgParams</a> (rlChirpCfg_t *ptrChirpCfg)</td></tr>
<tr class="separator:ga7bf5da0a745c34ce2035a23bcf4bb7e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6b5af3ca997fadafc5604013db81f20a"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_s_s___x_w_r16___c_a_p_t_u_r_e___a_p_p.html#ga6b5af3ca997fadafc5604013db81f20a">MemCapture_initLinkFrameParams</a> (rlFrameCfg_t *ptrFrameCfg)</td></tr>
<tr class="separator:ga6b5af3ca997fadafc5604013db81f20a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7280b1b637678b16fe9a878be38f0df3"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_s_s___x_w_r16___c_a_p_t_u_r_e___a_p_p.html#ga7280b1b637678b16fe9a878be38f0df3">MemCapture_initMMWaveOpenParams</a> (MMWave_OpenCfg *ptrOpenCfg)</td></tr>
<tr class="separator:ga7280b1b637678b16fe9a878be38f0df3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga52ba80e077fd0199587ceb927af3c984"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_s_s___x_w_r16___c_a_p_t_u_r_e___a_p_p.html#ga52ba80e077fd0199587ceb927af3c984">MemCapture_initTestFrameworkParams</a> (uint8_t rxChannelEnable, uint32_t numADCSamples, <a class="el" href="group___t_e_s_t___f_r_a_m_e_w_o_r_k___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf74af65f4a93511137fc9709b51f3ae7">TestFmk_Cfg</a> *ptrTestFmkCfg)</td></tr>
<tr class="separator:ga52ba80e077fd0199587ceb927af3c984"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad0cf29ef054b1aea846bbbbc3888b361"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_s_s___x_w_r16___c_a_p_t_u_r_e___a_p_p.html#gad0cf29ef054b1aea846bbbbc3888b361">MemCapture_run</a> (void)</td></tr>
<tr class="separator:gad0cf29ef054b1aea846bbbbc3888b361"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa1cd6dcc9064a74edad8873fbfcf0be7"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_s_s___x_w_r16___c_a_p_t_u_r_e___a_p_p.html#gaa1cd6dcc9064a74edad8873fbfcf0be7">MemCapture_mmWaveCtrlTask</a> (UArg arg0, UArg arg1)</td></tr>
<tr class="separator:gaa1cd6dcc9064a74edad8873fbfcf0be7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf897e785a1b5a09e9d3e061b322cf739"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_s_s___x_w_r16___c_a_p_t_u_r_e___a_p_p.html#gaf897e785a1b5a09e9d3e061b322cf739">MemCapture_fmkTask</a> (UArg arg0, UArg arg1)</td></tr>
<tr class="separator:gaf897e785a1b5a09e9d3e061b322cf739"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga03812904a850e62fd1530641318d13c5"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_s_s___x_w_r16___c_a_p_t_u_r_e___a_p_p.html#ga03812904a850e62fd1530641318d13c5">MemCapture_initTask</a> (UArg arg0, UArg arg1)</td></tr>
<tr class="separator:ga03812904a850e62fd1530641318d13c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga840291bc02cba5474a4cb46a9b9566fe"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_s_s___x_w_r16___c_a_p_t_u_r_e___a_p_p.html#ga840291bc02cba5474a4cb46a9b9566fe">main</a> (void)</td></tr>
<tr class="separator:ga840291bc02cba5474a4cb46a9b9566fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ga4e7de8ead10cb58ca2a947b841dda643"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga4e7de8ead10cb58ca2a947b841dda643"></a>
<a class="el" href="group___m_s_s___x_w_r14___c_a_p_t_u_r_e___a_p_p.html#ga19e461cef933f4fe4b6dcf9e14d77e69">MemCapture_MCB</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_s_s___x_w_r16___c_a_p_t_u_r_e___a_p_p.html#ga4e7de8ead10cb58ca2a947b841dda643">gMemCaptureMCB</a></td></tr>
<tr class="memdesc:ga4e7de8ead10cb58ca2a947b841dda643"><td class="mdescLeft">&#160;</td><td class="mdescRight">Global Variable for tracking information required by the Capture Demo. <br /></td></tr>
<tr class="separator:ga4e7de8ead10cb58ca2a947b841dda643"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2>Introduction</h2>
<p>The MSS Memory Capture application on the XWR16xx is responsible for the following:-</p><ul>
<li>Setup of the control path This is done via the MMWave Module in ISOLATION mode.</li>
<li>Management of the data path This is used to control the configuration of the Test Framework</li>
</ul>
<p>The MSS is a pure control entity which does not partake in the data path at all. The data path profile is not loaded by the MSS but by the DSS.</p>
<p>The application initializes the modules for the control &amp; data path. This would imply the creation of the following tasks:-</p>
<ol type="1">
<li>mmWave Task: Responsible for the execution of the communication between the MSS &amp; BSS. This would include the configuration of the BSS and handling any control notifications from the BSS. For more information please refer to the mmWave documentation.</li>
<li>Framework Task: This is the task which is responsible for the configuration and management of the Memory Capture Profile.</li>
</ol>
<p>At this time control &amp; data tasks have been initialized and are operational.</p>
<h2>Configuration</h2>
<p>The application uses a hardcoded configuration to open the mmWave control module. The same configuration is passed to the Test Framework through the <a class="el" href="group___t_e_s_t___f_r_a_m_e_w_o_r_k___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gacec372f69be8cc59c02c83b6aa7e2026">TestFmk_open</a> API. At this stage the application has the data &amp; control paths opened with the same configuration.</p>
<p>The application uses hardcoded configuration for the chirp, profile and frame. This configuration is then passed to the BSS via the mmWave control module.</p>
<p>Once the mmWave link has been configured it is time to now configure the Test Framework. The memory capture profile does NOT expose any additional commands. The application will finalize the configuration of the test framework via TestFmk_ioctl. <a class="el" href="group___t_e_s_t___f_r_a_m_e_w_o_r_k___e_x_t_e_r_n_a_l___d_e_f_i_n_i_t_i_o_n_s.html#gab66c28fbb4f52df7fc0ff379175e86b1">TEST_FMK_CMD_SET_CONFIG</a>.</p>
<h2>Start</h2>
<p>This is a distributed system with the profile executing on the DSS. So though we have finalized the configuration from the MSS; the DSS would take some time in applying the configuration. Once the configuration has been applyed; the DSS will start the profile. Eventually once the profile has been started the MSS will receive a report <a class="el" href="group___t_e_s_t___f_r_a_m_e_w_o_r_k___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gga3c6bf374ed939711ac8467ad90fb6bfcaaa8d4dff7d144a752efb6ca8652e6b83">TestFmk_Report_PROFILE_STARTED</a>. On the successful startup of the profile; the MSS will inform the BSS to start the sensor. This will now cause the ADC Data to be received on the DSS and the profile is notified via the chirp ISR.</p>
<h2>Stop</h2>
<p>Once all the configured frames have been sent the BSS will inform the application via the event RL_RF_AE_FRAME_END_SB. At this time we can stop the data path using the <a class="el" href="group___t_e_s_t___f_r_a_m_e_w_o_r_k___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga5d9d2ec20473c8eb5c423161812120b2">TestFmk_stop</a>. </p>
<h2 class="groupheader">Typedef Documentation</h2>
<a class="anchor" id="gafc53fc463ffc5dbab28535a0912d978e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_mem_capture___cfg__t.html">MemCapture_Cfg_t</a> <a class="el" href="group___m_s_s___x_w_r14___c_a_p_t_u_r_e___a_p_p.html#gafc53fc463ffc5dbab28535a0912d978e">MemCapture_Cfg</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Memory Capture Configuration. </p>
<p>The structure is used to hold all the relevant configuration which is used to execute the Memory capture unit test </p>

</div>
</div>
<a class="anchor" id="ga19e461cef933f4fe4b6dcf9e14d77e69"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_mem_capture___m_c_b__t.html">MemCapture_MCB_t</a> <a class="el" href="group___m_s_s___x_w_r14___c_a_p_t_u_r_e___a_p_p.html#ga19e461cef933f4fe4b6dcf9e14d77e69">MemCapture_MCB</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Stream Demo Master Control Block. </p>
<p>The structure is used to hold all the relevant information for the Stream Demo. </p>

</div>
</div>
<a class="anchor" id="ga6724d72285c98bb631865bb4a47f6c07"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_mem_capture___stats__t.html">MemCapture_Stats_t</a> <a class="el" href="group___m_s_s___x_w_r14___c_a_p_t_u_r_e___a_p_p.html#ga6724d72285c98bb631865bb4a47f6c07">MemCapture_Stats</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Memory Capture statistics. </p>
<p>The structure is used to hold the statistics information for the Memory Capture Unit Tests </p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga840291bc02cba5474a4cb46a9b9566fe"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is the entry point into the Memory Capture Unit Test</p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga2789252b1b1f357c6c784d951585afeb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int32_t MemCapture_eventCallbackFxn </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>msgId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>sbId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>sbLen</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>payload</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Registered event function which is invoked when an event from the BSS is received.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">msgId</td><td>Message Identifier </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">sbId</td><td>Subblock identifier </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">sbLen</td><td>Length of the subblock </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">payload</td><td>Pointer to the payload buffer</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Always</td><td>return 0 to pass the event message to the remote domain </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaf897e785a1b5a09e9d3e061b322cf739"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void MemCapture_fmkTask </td>
          <td>(</td>
          <td class="paramtype">UArg&#160;</td>
          <td class="paramname"><em>arg0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">UArg&#160;</td>
          <td class="paramname"><em>arg1</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The task is used to provide an execution context for the Test Framework</p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga7bf5da0a745c34ce2035a23bcf4bb7e5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void MemCapture_initLinkChirpCfgParams </td>
          <td>(</td>
          <td class="paramtype">rlChirpCfg_t *&#160;</td>
          <td class="paramname"><em>ptrChirpCfg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to intialize the mmWave Link chirp configuration</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">ptrChirpCfg</td><td>Populated link chirp configuration</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga6b5af3ca997fadafc5604013db81f20a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void MemCapture_initLinkFrameParams </td>
          <td>(</td>
          <td class="paramtype">rlFrameCfg_t *&#160;</td>
          <td class="paramname"><em>ptrFrameCfg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to intialize the mmWave Link frame configuration</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">ptrFrameCfg</td><td>Populated link frame configuration</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga3aeb98ccb777c7d4743aac13ab99984f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void MemCapture_initLinkProfileCfgParams </td>
          <td>(</td>
          <td class="paramtype">rlProfileCfg_t *&#160;</td>
          <td class="paramname"><em>ptrProfileCfg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to intialize the mmWave Link Profile configuration</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">ptrProfileCfg</td><td>Populated link profile configuration</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga7280b1b637678b16fe9a878be38f0df3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void MemCapture_initMMWaveOpenParams </td>
          <td>(</td>
          <td class="paramtype">MMWave_OpenCfg *&#160;</td>
          <td class="paramname"><em>ptrOpenCfg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to intialize the mmWave open configuration</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">ptrOpenCfg</td><td>Populated open configuration</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga03812904a850e62fd1530641318d13c5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void MemCapture_initTask </td>
          <td>(</td>
          <td class="paramtype">UArg&#160;</td>
          <td class="paramname"><em>arg0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">UArg&#160;</td>
          <td class="paramname"><em>arg1</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 MSS SubSystem Initialization Task which initializes the various components in the MSS subsystem.</p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga52ba80e077fd0199587ceb927af3c984"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void MemCapture_initTestFrameworkParams </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>rxChannelEnable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>numADCSamples</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___t_e_s_t___f_r_a_m_e_w_o_r_k___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf74af65f4a93511137fc9709b51f3ae7">TestFmk_Cfg</a> *&#160;</td>
          <td class="paramname"><em>ptrTestFmkCfg</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to intialize the Test Framework configuration</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">rxChannelEnable</td><td>Receive Channel Enable Mask </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">numADCSamples</td><td>Number of ADC samples </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">ptrTestFmkCfg</td><td>Populated framework configuration</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaa1cd6dcc9064a74edad8873fbfcf0be7"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void MemCapture_mmWaveCtrlTask </td>
          <td>(</td>
          <td class="paramtype">UArg&#160;</td>
          <td class="paramname"><em>arg0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">UArg&#160;</td>
          <td class="paramname"><em>arg1</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The task is used to provide an execution context for the mmWave control task</p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gad0cf29ef054b1aea846bbbbc3888b361"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int32_t MemCapture_run </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to run the Memory Capture application. The application uses a hardcoded configuration which configures the system.</p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga3e34b1dd54dfe6710a4cc5d836065f27"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void MemoryCapture_reportFxn </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___t_e_s_t___f_r_a_m_e_w_o_r_k___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabfd1782c2d3ec3ec6cf8d5e096c4b39d">TestFmk_Report</a>&#160;</td>
          <td class="paramname"><em>reportType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t&#160;</td>
          <td class="paramname"><em>errCode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>arg0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>arg1</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is the registered Test Framework Report function. This is invoked by the Test Framework to report the status</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">reportType</td><td>Report Type </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">errCode</td><td>Error code associated with the status event. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">arg0</td><td>Optional argument. This is status specific so please refer to the documentation about the status </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">arg1</td><td>Optional argument. This is status specific so please refer to the documentation about the status</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
